profile-image

sombragris

Eduardo Sanchez Asunción, Paraguay
Reactionary-KDE1

Plasma Color Schemes 5 comments

Score 54%
54 Likes
46 Dislikes
Oct 07 2018
There is a color who does not seem to match the rest of the colorscheme.
Here's how it shows:
When you have an application running in a "minimized to tray" status and double click on it to open the main window. the corresponding task in the taskbar has an odd-reddish color.
Screenshot:

https://snag.gy/Zprx2i.jpg

Thanks!! - Oct 11 2018
Glitches I've seen:
1. The selector color is more like purple. Should be more blue imho.
2. When the selector color is on an item, the item keeps its black color, therefore creating a poor contrast. The selected color item should be white.

Thanks again! - Oct 07 2018
+Thank you again for this!! Works great save for some glitches here and there. - Oct 07 2018
Reactionary-KDE1

Aurorae Themes 12 comments

Score 57%
57 Likes
43 Dislikes
Oct 07 2018
updated -- thanks. Looks like the issue was fixed! - Oct 08 2018
Thanks!
Here is a link to a screenshot:
https://snag.gy/pwk7cI.jpg

The text should have said: "Requests for -current (14.2-->15.0)". Note how just some letters are visible.
I'm using Firefox 60.2.2esr 64-bit. - Oct 07 2018
It's hard for me to describe but let me try.
1. In a Firefox window only some letters from the title appear.
2. If you do not apply the Reactionary theme, the window buttons don't work well.
3. It would be great if the gradient could be configurable. I know this might not be possible due to an Aurora thing but I would like to do it anyway (I'd like it to start with a darker shade of blue, although I know this is not KDE classic).

Thanks again! - Oct 07 2018
+Thank you SO MUCH!! It's not perfect but I cannot say how much I was waiting for this!! Thanks!! - Oct 07 2018
Reactionary

Aurorae Themes 15 comments

Score 67%
67 Likes
33 Dislikes
Sep 14 2018
Great!!
Is there a possibility that you could release a KDE1 Aurorae Theme? It would be great as a Reactionary variant to use a KDE1 window decoration! - Sep 03 2018
+Great! - Aug 04 2018
Yahoo! Weather Alternative Widget Skin

Plasma 5 Weather 4 comments

by yost
Score 50%
50 Likes
50 Dislikes
Aug 15 2018
Hi yost! Looks like WOEIDs are not working - Aug 30 2018
Thanks ! Can you elaborate on how this is different from Yahoo! Weather Widget? Thanks! - Aug 15 2018
CDE for KDE

Aurorae Themes 6 comments

Score 63%
63 Likes
37 Dislikes
Aug 04 2018
+Nice to see retro themes. I'd like a KDE1 theme someday... - Aug 04 2018
Semantik

Education 148 comments

Score 80%
80 Likes
20 Dislikes
Sep 23 2018
Had a build problem. Filed a report in the gitlab page. Thanks! - Jun 16 2018
Qalculate

Plasma 5 Add-Ons 33 comments

Score 68%
68 Likes
32 Dislikes
May 29 2018
Nevermind. My fault. Forgot to read the bit where you said that libqalculate 2.5 or higher is required. Thanks!! - May 30 2018
Forgot to add: using libqalculate-2.2.0 - May 30 2018
Cannot build 0.5. The problem appears to be a linking issue:

[100%] Linking CXX shared library libplasmoidplugin.so
CMakeFiles/plasmoidplugin.dir/qwrapper.cpp.o: In function `QWrapper::updateExchangeRates()':
qwrapper.cpp:(.text+0x4af): undefined reference to `Calculator::getExchangeRatesUrl[abi:cxx11](int)'
CMakeFiles/plasmoidplugin.dir/qwrapper.cpp.o: In function `QWrapper::printResultInBase(MathStructure&, std::pair&)':
qwrapper.cpp:(.text+0x1720): undefined reference to `Calculator::print[abi:cxx11](MathStructure const&, int, PrintOptions const&)'
CMakeFiles/plasmoidplugin.dir/qwrapper.cpp.o: In function `QWrapper::runCalculation(std::__cxx11::basic_string, std::allocator > const&)':
qwrapper.cpp:(.text+0x1a6a): undefined reference to `Calculator::calculate(MathStructure*, std::__cxx11::basic_string, std::allocator >, int, EvaluationOptions const&, MathStructure*, MathStructure*, bool)'
qwrapper.cpp:(.text+0x1ab8): undefined reference to `Calculator::print[abi:cxx11](MathStructure const&, int, PrintOptions const&)'
CMakeFiles/plasmoidplugin.dir/qwrapper.cpp.o: In function `QWrapper::worker()':
qwrapper.cpp:(.text+0x23b0): undefined reference to `Calculator::unlocalizeExpression(std::__cxx11::basic_string, std::allocator >, ParseOptions const&) const'
CMakeFiles/plasmoidplugin.dir/qwrapper.cpp.o: In function `QWrapper::QWrapper(QObject*)':
qwrapper.cpp:(.text+0x2b66): undefined reference to `Number::set(std::__cxx11::basic_string, std::allocator >, ParseOptions const&)'
qwrapper.cpp:(.text+0x2c5c): undefined reference to `Number::set(std::__cxx11::basic_string, std::allocator >, ParseOptions const&)'
qwrapper.cpp:(.text+0x2d4b): undefined reference to `Number::set(std::__cxx11::basic_string, std::allocator >, ParseOptions const&)'
CMakeFiles/plasmoidplugin.dir/qwrapper.cpp.o: In function `QWrapper::fileDownloaded(QNetworkReply*)':
qwrapper.cpp:(.text+0x3373): undefined reference to `Calculator::getExchangeRatesFileName[abi:cxx11](int)'
collect2: error: ld returned 1 exit status
make[2]: *** [plugin/CMakeFiles/plasmoidplugin.dir/build.make:115: plugin/libplasmoidplugin.so] Error 1
make[1]: *** [CMakeFiles/Makefile2:188: plugin/CMakeFiles/plasmoidplugin.dir/all] Error 2
make: *** [Makefile:141: all] Error 2

Distribution: Slackware64-current
Qt: 5.9.5
Plasma: 5.12.5
Frameworks: 5.46.0
gcc: 7.3

Thanks! - May 30 2018
Thank you! I just used qalculate 0.4 and it works like a charm!
- Sep 28 2017
Usually whenever libqalculate was upgraded, all that I had to do is to recompile the plasmoid. However, after I upgraded libqalculate to 2.0 and recompiling the plasmoid, I was unable to start plasmashell; there was a "malloc(): memory corruption" message even. I was able to get plasmashell starting again after removing the plasmoid.

The moral of the story is, that plasmoid 0.3x and libqalculate 2.0 do not seem to like each other. - Sep 03 2017
No problems compiling and installing 0.3. Great update. Thanks!!
- May 23 2017
Indeed! THanks!! - May 10 2017
Just opened an isse on the github project page about this. - May 09 2017
Thanks!! however, I cannot build 0.2

This is the relevant compiler output:

[ 66%] Building CXX object plugin/CMakeFiles/plasmoidplugin.dir/qwrapper.cpp.o
/home/eduardo/Downloads/build/qalculate-0.2/plugin/qwrapper.cpp: In constructor ‘QWrapper::QWrapper(QObject*)’:
/home/eduardo/Downloads/build/qalculate-0.2/plugin/qwrapper.cpp:46:31: error: ‘bind’ is not a member of ‘std’
m_thread = std::thread(std::bind(&QWrapper::worker, this));
^~~~
/home/eduardo/Downloads/build/qalculate-0.2/plugin/qwrapper.cpp:46:31: note: suggested alternative: ‘find’
m_thread = std::thread(std::bind(&QWrapper::worker, this));
^~~~
find
make[2]: *** [plugin/CMakeFiles/plasmoidplugin.dir/build.make:87: plugin/CMakeFiles/plasmoidplugin.dir/qwrapper.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:156: plugin/CMakeFiles/plasmoidplugin.dir/all] Error 2
make: *** [Makefile:139: all] Error 2
- May 08 2017
Thank you! Worked very well. I use it on the panel so I would suggest the following: a) change the icon (it's a sore bleed among the Plasma/Breeze minimalism) or either replace the panel version of the widget with a small input box to directly input expressions. Thanks!!
- Oct 01 2016
I have libqalculate installed but I cannot install this plasmoid. How can I do this? - Sep 30 2016
Weather Widget

Plasma 5 Weather 117 comments

Score 83%
83 Likes
17 Dislikes
Oct 06 2017
in Slackware64-current under Plasma 5.10 and Qt 5.9 the plasmoid (1.6.9) seems so far to work normally with no crashes. It *might* be affected by issue #54 but there's no current impact on system performance in my box. Thanks - Jul 07 2017
qomp

Audioplayers 23 comments

Score 58%
58 Likes
42 Dislikes
Dec 20 2017
No, I didn't.
Did that and it worked. Compiled without a problem and runs OK. Thanks!!

Now, I add a whole folder and press play on the first file, and qomp does not move to the second. How can I do that? Thanks - Jul 04 2017
Thank you! However I pulled the code with git and apparently there are missing files:

-- Found X11: /usr/lib64/libX11.so
-- Qt5 version: 5.9.0
-- Configuring done
CMake Error at CMakeLists.txt:249 (add_executable):
Cannot find source file:

src/singleapplication/singleapplication.cpp

Tried extensions .c .C .c++ .cc .cpp .cxx .m .M .mm .h .hh .h++ .hm .hpp
.hxx .in .txx


CMake Error at CMakeLists.txt:271 (add_custom_target):
Cannot find source file:

/home/eduardo/Downloads/build/qomp/qomp-code/themes/themes.qrc

Tried extensions .c .C .c++ .cc .cpp .cxx .m .M .mm .h .hh .h++ .hm .hpp
.hxx .in .txx
Call Stack (most recent call first):
CMakeLists.txt:287 (create_themes)

- Jul 04 2017
Thanks! I will await an update or a fix if possible. - Jul 03 2017
Thanks for developing qomp. I cannot build 1.2.1

Using gcc-7.1 and Qt 5.9

Here is the compiler output:


[ 55%] Built target filesystemplugin_autogen
Scanning dependencies of target filesystemplugin
[ 56%] Building CXX object plugins/filesystemplugin/CMakeFiles/filesystemplugin.dir/filesystemplugin.cpp.o
In file included from /usr/include/c++/7.1.0/chrono:41:0,
from /usr/include/qt5/QtCore/qobject.h:59,
from /usr/include/qt5/QtCore/QObject:1,
from /tmp/SBo/qomp-1.2.1/build/include/qompplugin.h:23,
from /tmp/SBo/qomp-1.2.1/plugins/filesystemplugin/filesystemplugin.h:23,
from /tmp/SBo/qomp-1.2.1/plugins/filesystemplugin/filesystemplugin.cpp:20:
/usr/include/c++/7.1.0/ctime:64:11: error: ‘::clock’ has not been declared
using ::clock;
^~~~~
/usr/include/c++/7.1.0/ctime:65:11: error: ‘::difftime’ has not been declared
using ::difftime;
^~~~~~~~
/usr/include/c++/7.1.0/ctime:66:11: error: ‘::mktime’ has not been declared
using ::mktime;
^~~~~~
/usr/include/c++/7.1.0/ctime:67:11: error: ‘::time’ has not been declared
using ::time;
^~~~
/usr/include/c++/7.1.0/ctime:68:11: error: ‘::asctime’ has not been declared
using ::asctime;
^~~~~~~
/usr/include/c++/7.1.0/ctime:69:11: error: ‘::ctime’ has not been declared
using ::ctime;
^~~~~
/usr/include/c++/7.1.0/ctime:70:11: error: ‘::gmtime’ has not been declared
using ::gmtime;
^~~~~~
/usr/include/c++/7.1.0/ctime:71:11: error: ‘::localtime’ has not been declared
using ::localtime;
^~~~~~~~~
/usr/include/c++/7.1.0/ctime:72:11: error: ‘::strftime’ has not been declared
using ::strftime;
^~~~~~~~
make[2]: *** [plugins/filesystemplugin/CMakeFiles/filesystemplugin.dir/build.make:63: plugins/filesystemplugin/CMakeFiles/filesystemplugin.dir/filesystemplugin.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:359: plugins/filesystemplugin/CMakeFiles/filesystemplugin.dir/all] Error 2
make: *** [Makefile:130: all] Error 2
- Jul 02 2017
PulseEffects

Audio Apps 15 comments

by wwmm
Score 63%
63 Likes
37 Dislikes
Feb 04 2018
thank you! I was able to run the program. However, there is a problem. Whenever a sound is played, the program adds some white noise. Do you know if this is an expected behavior? Thanks!! - Jul 02 2017
pulseeffects fails to run. This is the console output:

19:26:39.561 - PulseEffects - INFO - pulseaudio context started
19:26:39.562 - PulseEffects - INFO - connected to server: unix:/tmp/xdg-runtime-eduardo/pulse/native
19:26:39.562 - PulseEffects - INFO - server protocol version: 32
19:26:39.562 - PulseEffects - INFO - pulseaudio version: 10.0-rebootstrapped
19:26:39.562 - PulseEffects - INFO - default pulseaudio source: alsa_input.pci-0000_00_1b.0.analog-stereo
19:26:39.562 - PulseEffects - INFO - default pulseaudio sink: alsa_output.pci-0000_00_1b.0.analog-stereo
19:26:39.562 - PulseEffects - INFO - default pulseaudio sink audio format: s16le
19:26:39.562 - PulseEffects - INFO - default pulseaudio sink sampling rate: 44100 Hz. We will use the same rate.
19:26:39.563 - PulseEffects - INFO - default pulseaudio source audio format: s16le
19:26:39.563 - PulseEffects - INFO - default pulseaudio source sampling rate: 44100 Hz. We will use the same rate.
19:26:39.563 - PulseEffects - INFO - loading Pulseeffects applications sink...
19:26:39.563 - PulseEffects - INFO - Pulseeffects apps sink was successfully loaded
19:26:39.563 - PulseEffects - INFO - Pulseeffects apps sink index:1
19:26:39.563 - PulseEffects - INFO - Pulseeffects apps sink monitor name: PulseEffects_apps.monitor
19:26:39.563 - PulseEffects - INFO - loading Pulseeffects microphone output sink...
19:26:39.564 - PulseEffects - INFO - Pulseeffects mic sink was successfully loaded
19:26:39.564 - PulseEffects - INFO - Pulseeffects mic sink index:2
19:26:39.564 - PulseEffects - INFO - Pulseeffects mic sink monitor name: PulseEffects_mic.monitor
Traceback (most recent call last):
File "/usr/bin/pulseeffects", line 4, in
__import__('pkg_resources').run_script('PulseEffects==2.0.2', 'pulseeffects')
File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 743, in run_script
self.require(requires)[0].run_script(script_name, ns)
File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 1498, in run_script
exec(code, namespace, namespace)
File "/usr/lib64/python3.6/site-packages/PulseEffects-2.0.2-py3.6.egg/EGG-INFO/scripts/pulseeffects", line 6, in
a = Application()
File "/usr/lib64/python3.6/site-packages/PulseEffects-2.0.2-py3.6.egg/PulseEffects/application.py", line 62, in __init__
self.sie = SinkInputEffects(self.pm.default_sink_rate)
File "/usr/lib64/python3.6/site-packages/PulseEffects-2.0.2-py3.6.egg/PulseEffects/sink_input_effects.py", line 65, in __init__
self.pipeline = self.build_pipeline()
File "/usr/lib64/python3.6/site-packages/PulseEffects-2.0.2-py3.6.egg/PulseEffects/sink_input_effects.py", line 176, in build_pipeline
self.output_limiter.set_property('input-gain', 0)
AttributeError: 'NoneType' object has no attribute 'set_property'
- Jul 02 2017
ksnip

Utilities 19 comments

by damir
Score 57%
57 Likes
43 Dislikes
Dec 17 2017
Don't worry. I just built 1.1 correctly with Qt 4.8 so it should be another problem. Will report the isse on GitHub. - Jan 19 2017
Hi, really nice app. Right now (1.2.0) the app compiles OK but segfaults. This is because it picks Qt-4.8 in my system (I have both 4.8 and 5.7). Can you tell how to tell Cmake to use Qt 5.x please? Thanks! - Jan 19 2017
Thanks for the ksnip tool. It's great! - Oct 23 2016
StormClouds

Plasma Color Schemes 1 comment

Score 56%
56 Likes
44 Dislikes
Dec 19 2014
This might be the best color theme. It looks gorgeous on my desktop. Thanks!! - Sep 05 2016
Tomatoid

Plasma 4 Widgets 78 comments

Score 68%
68 Likes
32 Dislikes
Nov 24 2014
Thank you! - Nov 27 2014
There are a lot of distros that do not us pulseaudio (Slackware, for example). PLease remove that dependency. Thank you! - Nov 25 2014
Kile

Office 53 comments

Score 86%
86 Likes
14 Dislikes
Nov 20 2007
Hi, I am also a great Kile fan. I tried to download Kile 1.6.2 in the tar.bz2 format, but all I can get is 404 errors. - Mar 23 2004
Kamerka

Graphics & Photography

by dos1
Score 73%
73 Likes
27 Dislikes
Jul 26 2011
BoomBox

Audioplayers

Score 72%
72 Likes
28 Dislikes
Jul 20 2011
SimpleAudioPlayer

Audioplayers

Score 65%
65 Likes
35 Dislikes
Jul 20 2011
TepSonic

Audioplayers

Score 57%
57 Likes
43 Dislikes
Jul 20 2011
Arora

Web & Browser

Score 68%
68 Likes
32 Dislikes
Apr 03 2010
Reactionary-KDE1

Plasma Color Schemes

Score 54%
54 Likes
46 Dislikes
Oct 07 2018 +Thank you again for this!! Works great save for some glitches here and there.
Reactionary-KDE1

Aurorae Themes

Score 57%
57 Likes
43 Dislikes
Oct 07 2018 +Thank you SO MUCH!! It's not perfect but I cannot say how much I was waiting for this!! Thanks!!
Reactionary

Aurorae Themes

Score 67%
67 Likes
33 Dislikes
Aug 04 2018 +Great!
CDE for KDE

Aurorae Themes

Score 63%
63 Likes
37 Dislikes
Aug 04 2018 +Nice to see retro themes. I'd like a KDE1 theme someday...
Qalculate

Plasma 5 Add-Ons

Score 68%
68 Likes
32 Dislikes
May 10 2017
StormClouds

Plasma Color Schemes

Score 56%
56 Likes
44 Dislikes
Sep 05 2016